Bug 449636 - Fetch Dialog doesn't allow the "Multiple ISBN" checkbox to be clicked
Summary: Fetch Dialog doesn't allow the "Multiple ISBN" checkbox to be clicked
Status: RESOLVED FIXED
Alias: None
Product: tellico
Classification: Unclassified
Component: general (show other bugs)
Version: 3.4.3
Platform: Other Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Robby Stephenson
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2022-02-05 02:09 UTC by Robby Stephenson
Modified: 2022-02-15 02:18 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In: 3.4.4


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Robby Stephenson 2022-02-05 02:09:44 UTC
I do see a behavior where when the dialog is first shown, if the search type is already set to ISBN, the checkbox is not disabled but still can't be checked. If I change to Text then back to ISBN, that behavior corrects itself, it appears, so that's a workaround.
Comment 1 Robby Stephenson 2022-02-06 02:10:40 UTC
Git commit 53923426413bce40c9b474dd866efe48f23d403d by Robby Stephenson.
Committed on 06/02/2022 at 02:10.
Pushed by rstephenson into branch '3.4'.

Fix layout bug in fetch dialog

A spacer widget was interfering with the layout and could
prevent clicking on the Multiple ISBN checkbox at times
FIXED-IN: 3.4.4

M  +5    -1    ChangeLog
M  +1    -1    src/fetchdialog.cpp

https://invent.kde.org/office/tellico/commit/53923426413bce40c9b474dd866efe48f23d403d
Comment 2 Robby Stephenson 2022-02-15 02:18:59 UTC
Git commit 360f9954a9edbb368ce5001930e87f77ff1a7551 by Robby Stephenson.
Committed on 15/02/2022 at 02:18.
Pushed by rstephenson into branch 'master'.

Fix layout bug in fetch dialog

A spacer widget was interfering with the layout and could
prevent clicking on the Multiple ISBN checkbox at times
FIXED-IN: 3.4.4

M  +5    -1    ChangeLog
M  +1    -1    src/fetchdialog.cpp

https://invent.kde.org/office/tellico/commit/360f9954a9edbb368ce5001930e87f77ff1a7551